#include "Salamander.h"
#include "AssetManager.h"

namespace Salamander
{

defineUniqueId(AssetManager);
AssetManager::AssetManager() : IManager()
{
	
}

AssetManager::~AssetManager()
{
	
}

bool AssetManager::startup()
{
	return true;
}

bool AssetManager::shutdown()
{
	// Clean up memory
	while(assets_.size())
	{
		std::vector<IAsset*> assets = assets_.begin()->second;
		while(assets.size())
		{
			IAsset* asset = assets.back();
			assets.pop_back();
			delete asset;
			asset = NULL;
		}
		assets_.erase(assets_.begin());
	}

	return true;
}

void AssetManager::frame()
{
	
}



}
